about:
    path: /{_locale}/a-propos
    methods: [GET]
    defaults:
        _controller: App\Controller\MainController::about
    requirements:
        _locale: ^[A-Za-z]{2,4}(_([A-Za-z]{4}|[0-9]{3}))?(_([A-Za-z]{2}|[0-9]{3}))?$
cgv:
    path: /{_locale}/cgv
    methods: [GET]
    defaults:
        _controller: App\Controller\MainController::cgv
    requirements:
        _locale: ^[A-Za-z]{2,4}(_([A-Za-z]{4}|[0-9]{3}))?(_([A-Za-z]{2}|[0-9]{3}))?$

privacy:
    path: /{_locale}/charte-de-confidentialite
    methods: [GET]
    defaults:
        _controller: App\Controller\MainController::privacy
    requirements:
        _locale: ^[A-Za-z]{2,4}(_([A-Za-z]{4}|[0-9]{3}))?(_([A-Za-z]{2}|[0-9]{3}))?$

return:
    path: /{_locale}/modalite-de-retour
    methods: [GET]
    defaults:
        _controller: App\Controller\MainController::return
    requirements:
        _locale: ^[A-Za-z]{2,4}(_([A-Za-z]{4}|[0-9]{3}))?(_([A-Za-z]{2}|[0-9]{3}))?$
        
delivery:
    path: /{_locale}/livraison-et-expedition
    methods: [GET]
    defaults:
        _controller: App\Controller\MainController::delivery
    requirements:
        _locale: ^[A-Za-z]{2,4}(_([A-Za-z]{4}|[0-9]{3}))?(_([A-Za-z]{2}|[0-9]{3}))?$


mention:
    path: /{_locale}/mention
    methods: [GET]
    defaults:
        _controller: App\Controller\MainController::mention
    requirements:
        _locale: ^[A-Za-z]{2,4}(_([A-Za-z]{4}|[0-9]{3}))?(_([A-Za-z]{2}|[0-9]{3}))?$


# This file is part of the Sylius package.
# (c) Sylius Sp. z o.o.

sylius_shop_product_show:
    path: /{_locale}/produit/{slug}
    methods: [GET]
    defaults:
        _controller: sylius.controller.product::showAction
        _sylius:
            template: "@SyliusShop/Product/show.html.twig"
            repository:
                method: findOneByChannelAndSlug
                arguments:
                    - "expr:service('sylius.context.channel').getChannel()"
                    - "expr:service('sylius.context.locale').getLocaleCode()"
                    - $slug


sylius_shop_product_index:
    path: /{_locale}/produits/{slug}
    methods: [GET]
    defaults:
        _controller: sylius.controller.product::indexAction
        _sylius:
            template: "@SyliusShop/Product/index.html.twig"
            grid: sylius_shop_product
    requirements:
        slug: .+(?<!/)

newsletter_subscribe:
    path: /newsletter/subscribe
    controller: App\Controller\NewsletterController::subscribe
    methods: [POST]


article_index:
    path: /{_locale}/articles
    controller: App\Controller\PostController::index


article_grid:
    path: /{_locale}/articles/grid
    controller: App\Controller\PostController::grid


article_archive:
    path: /{_locale}/articles/archive
    controller: App\Controller\PostController::archive


article_show:
    path: /{_locale}/article/{slug}
    controller: App\Controller\PostController::show

local_page_index:
    path: /{_locale}/pages-locales
    controller: App\Controller\LocalPageController::index

local_page_show:
    path: /{_locale}/page-locale/{slug}
    controller: App\Controller\LocalPageController::show

faq_index:
    path: /{_locale}/faq
    controller: App\Controller\FrequentlyAskedQuestionController::index

review_carousel:
    path: /{_locale}/review/carousel
    controller: App\Controller\MainController::googleReview


# test:
#     path: /{_locale}/test
#     controller: App\Controller\TestController::test

# test2:
#     path: /{_locale}/test2
#     controller: App\Controller\TestController::getProductWithoutDescription
